import { Filter, Query } from './types/types';
import { SelectQueryBuilder } from 'typeorm/query-builder/SelectQueryBuilder';
import { BaseEntity } from 'typeorm';
import QueryFilter = Query.QueryFilter;
import FilterParent = Filter.FilterParent;
import IFilterContext = Filter.IFilterContext;
export declare function applyToQueryBuilder(filters: QueryFilter, filterFieldName: string, parent: Filter.FilterParent, filterValue: any, queryBuilder: SelectQueryBuilder<BaseEntity>, logicOperatorFn: Function): void;
export declare function applyFilters(queryBuilder: SelectQueryBuilder<BaseEntity>, filters?: QueryFilter, logicOperatorFn?: Function, parent?: FilterParent): void;
export declare function filter(rootValue: any, args: {
    filter: QueryFilter;
}, context: IFilterContext): SelectQueryBuilder<BaseEntity>;
