import { Generator, ResolverFn } from '..';
import ICUDOptions = Generator.ICUDOptions;
export declare function compose(...fns: Function[]): Function;
export declare function withName(name: string): (target: object) => {};
export declare function just(scopes: string | string[]): (target: object) => {
    create: ResolverFn<any>;
    update: ResolverFn<any>;
    remove: ResolverFn<any>;
};
interface IBasicResolver<T = any> {
    create?: ResolverFn<T>;
    update?: ResolverFn<T>;
    remove?: ResolverFn<T>;
}
export declare function generateMutations(model: Function, options?: ICUDOptions): IBasicResolver;
export {};
