"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Query;
(function (Query) {
    let SortType;
    (function (SortType) {
        SortType["ASC"] = "ASC";
        SortType["DESC"] = "DESC";
    })(SortType = Query.SortType || (Query.SortType = {}));
    let FilterOperator;
    (function (FilterOperator) {
        FilterOperator["eq"] = "eq";
        FilterOperator["ne"] = "ne";
        FilterOperator["gt"] = "gt";
        FilterOperator["gte"] = "gte";
        FilterOperator["lt"] = "lt";
        FilterOperator["lte"] = "lte";
        FilterOperator["in"] = "in";
        FilterOperator["nin"] = "nin";
        FilterOperator["regex"] = "regex";
        FilterOperator["not"] = "not";
        FilterOperator["nor"] = "nor";
        FilterOperator["like"] = "like";
    })(FilterOperator = Query.FilterOperator || (Query.FilterOperator = {}));
    let LogicFilterOperator;
    (function (LogicFilterOperator) {
        LogicFilterOperator["or"] = "or";
        LogicFilterOperator["and"] = "and";
    })(LogicFilterOperator = Query.LogicFilterOperator || (Query.LogicFilterOperator = {}));
})(Query = exports.Query || (exports.Query = {}));
var Generator;
(function (Generator) {
    let IBasicResolverNames;
    (function (IBasicResolverNames) {
        IBasicResolverNames["create"] = "create";
        IBasicResolverNames["update"] = "update";
        IBasicResolverNames["remove"] = "remove";
    })(IBasicResolverNames = Generator.IBasicResolverNames || (Generator.IBasicResolverNames = {}));
})(Generator = exports.Generator || (exports.Generator = {}));
//# sourceMappingURL=types.js.map